Linux上有哪些好的终端模拟器?
================================================================================
一个好的终端模拟器是一个选择Linux而不是Windows或Mac的充分理由，任何Linux的资深用户都会同意这点。通过使用shell，用户可以完成在图形环境下不可能或者太重复的任务。但是终端模拟器的选择是非常重要的，因为它会成为你使用最多的程序。我会尝试列出在Linux上好的终端模拟器的清单，从经典的到奇特的，但是它们都是有效率且独特的。

如果你认为还有好的终端程序在这里没有提到，请在评论区让我们知道。这里列出了许多，大多数是值得你了解一下。

### 1. Gnome-terminal ###

![](https://farm4.staticflickr.com/3699/14100905190_478812cae2_z.jpg)

让我们先从“经典”终端开始，对于Gnome而言，Gnome-terminal和Gnome一样经典。它支持多用户配置，标签，文本大小调整，背景转换和高度定制。如它名字暗示的那样，它适用于Gnome环境。

### 2. Konsole ###

![](https://farm3.staticflickr.com/2897/14101006647_ec13565200_z.jpg)

同样大名鼎鼎，Konsole在KDE环境下等同于Gnome-terminal。Konsole额外支持的一点是分割视图和书签目录。

### 3. (Xfce) terminal ###

![](https://farm3.staticflickr.com/2928/14100857759_fa29cc968e_z.jpg)

Xfce用户同样有他们的Xfce4终端。这个项目的目的是制造一个在外观上相似Gnome-terminal的产品，但是更少占用资源需求。它是高端定制化的，虽然没有用户配置功能或者透明背景。

### 4. LXTerminal ###

[![](https://farm6.staticflickr.com/5569/14100905020_dd2b3e830e_z.jpg)][1]

其目标是为了成为桌面环境下的最有名的终端，LXTerminal是为LXDE环境设计的。如你所能想到的，它甚至比xfce-terminal更轻量快速，去除了复杂的自定义和高级选项，只保持了标签功能。

### 5. Terminator ###

![](https://farm4.staticflickr.com/3726/14100980857_1591317b8a_z.jpg)

现在让我们看看终端模拟器中的劳斯莱斯，Terminator是这些终端里面功能最完备的一款，它包括了标签、水平和垂直分割视图、截屏、用户配置、插件、布局管理。可能还有一些你永远都用不到的选项。它的缺点是太大和大量的资源消耗，这些就是你付出的代价。

### 6. Tilda ###

[![](https://farm6.staticflickr.com/5585/14284203351_2c25a33cb4_z.jpg)][2]

这里还有一款完全不同的一款终端，它称为“下拉”式。如果你喜欢你的终端总是一键可达，也许你会喜欢下面提到的三个特点。首先，Tilda是一个典型的下拉式终端；它不依赖于环境并且非常轻量；你可以设置透明度或者甚至是不同的背景，并且选择出现在屏幕的那个边。除去这些，不要期待太复杂的功能，比如标签或者分割视图。Tilda只做一件事：在你需要的时候快速显示出来。

### 7. Guake ###

![](https://farm4.staticflickr.com/3733/14285529772_aa824b5e39_z.jpg)

如果喜欢Tilda的方式，而且希望与Gnome结合更紧密，你应该试试Guake。在功能方面，它多多少少与Tilda相似。两者之间最大的不同是Guake更美观。

### 8. Yakuake ###

[![](https://farm6.staticflickr.com/5274/14100857589_142fdc4153_z.jpg)][3]

KDE用户当然也不会被遗忘，他们有Yakuake，它基本上就是KDE环境下的Guake的替代品。它和Quake功能一样，除了还有标签化接口和用户配置。

### 9. Terra ###

![](https://farm4.staticflickr.com/3700/14307721343_0e55878bb0_z.jpg)

对于既喜欢Terminator，也喜欢下拉式的资深用户而言，我估计Terra是最好的。介于Guake和Terminator之间，Terra在下拉式中支持分割视图和标签。

### 10. rxvt ###

![](https://farm3.staticflickr.com/2916/14307721303_805fe977ce_o.png)

如果你的目标是尽可能的轻量，并且你希望类似xterm，那么rxvt就是为你设计的。它没有标签和自定义，没有分割视图，没有任何东西，要极轻量就用rxvt。如果有时你只需要刚好够的功能，那么rxvt就是为你提供的。

### 11. Sakura ###

![](https://farm4.staticflickr.com/3823/14287031834_d8a5ac966f_z.jpg)

作为一款并不有名的终端模拟器，Sakura基于GTK但是并不需要完整的Gnome环境。不像rxvt，Sakura有一些额外的功能，像标签和颜色自定义，但是它尝试着保持简单和基本。因此如果你想要一款不针对特定环境的基础终端，Sakura可能是你想要的。

### 12. Terminology ###

![](https://farm4.staticflickr.com/3706/14264408226_a0223861ae_z.jpg)

这里面最奇异的终端是Terminology。它原本是为Enlightment设计的，它包括了目前我们看到的常规功能，并且还有我之前没有见过的功能。比如，直接在终端中播放流媒体，以及在文件列表中显示略缩图。

--------------------------------------------------------------------------------

via: http://xmodulo.com/2014/05/good-terminal-emulator-linux.html

译者：[geekpi](https://github.com/geekpi) 校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:https://www.flickr.com/photos/xmodulo/14100905020/
[2]:https://www.flickr.com/photos/xmodulo/14284203351/
[3]:https://www.flickr.com/photos/xmodulo/14100857589/
