14个可以提升Linux桌面体验的应用程序
==============================

转战到Ubuntu，或者是别的流行的Linux发行版，不仅仅是操作系统的操作方式的改变，更多的是你还需要一些能支持你完成工作的好的应用。

在这篇文章中，我将分享一些我精选出来不可或缺的应用程序，并谈谈在我的日常工作中如何有效地使用它们。

### 日常使用的应用程序 ###

一般当说到Linux桌面上的应用，我总是将这些应用划分为两大类，频繁使用的和一些别的应用。下边我为大家介绍的是一些自己日常使用的应用。

1） **Firefox** — 有时我也会使用用其他的浏览器，但最近[火狐浏览器][1]已经成为我可以长期信赖的朋友。可靠的、 安全的、 跨平台的，火狐浏览器完全满足了我的日常冲浪需求。

除了访问书签和网页，我还依靠火狐浏览器来处理我的各种部署在局域网服务器上的工作，如 [Plex][2], [Zoneminder][3], 路由器/WEB应用防火墙, 及我的文件服务器。所有这些均可以使用火狐浏览器进行访问。

2） **Parcelite**— 如果没有一个像样的剪贴板管理器我简直没法开始工作，至少对我来说，你无法找到在GNOME 下的[Parcelite][4]有什么不足。使用简单，易于访问而且它提供了很多的有用的选项。Parcelite选项应有尽有，包括了从热键设置到空格处理方式。尽管已经有很多的剪贴板管理器，但它们却很难击败 Parcelite。

3） **Bittorrent Sync** — 我已经使用过了各种开源替代方案进行文件同步，但是他们在正式发布之前还需要进行进一步开发。应该说[Bittorrent Synchas][5]从来没有让我失望过。它运行和安装都很简单和方便，这多亏了新的GUI的实现，而且 Bittorrent Sync 允许我快速地从一台机器到另外一台机器传输巨大的视频文件，而无需浪费时间去将大量的文件同步到“云端”。

我还发现它是与别人分享大型文件的最佳方法，在分享的同时能一直保持 IP 地址和目录的隐蔽。尽管有许多的替代品，我仍然坚定地成为了Bittorrent Sync的骨灰粉丝。

4） **System Monitor** — 因为TOP实在是滚动地太快了，所以我个人更喜欢一个具有选项卡式的 GUI，因为它能够让我的眼睛更轻松些。使用 GNOME 的系统监视器，我可以很快地发现一个失控的进程，并且轻松地kill掉它而不需吹灰之力。与[TOP][7]这样的终端程序不同的是，我可以实时的以图形化的方式去查看我的 CPU、 内存和磁盘的使用情况。作为一个拥有正常视觉的人，很难找到一个比用条形图来展示我还拥有多少的空间的更好方式。当然这也同样适用于其它的实时资源使用情况的监视。

5） **PulseAudioControl** — 每一天，我总是需要在多个声音设备之间来回穿梭。有时我需要将其中一个设为默认设备，然后却可能会从火狐浏览器音频完全切换到到另一个设备。因为我想控制我的尽可能多的音频，然后我就发现 [PulseAudioControl][8]是一个无价的工具。

### 一些别的软件 ###

在本节中，我将分享我使用，但可能并不一定是每天都使用的应用程序。许多这些应用程序都是开放源代码的，有一些不是，但是它们对我个人都非常具有价值。


6） **Skype** — 无论是拨入[Jupiter Broadcasting][9] 收听每周共同主持的播客，或者只是简单联系一个业务，[Skype][10] 见证了互联网视频会议的发展史。测试完成无数的替代品后，我总是会发现自己还是终回到了Skype。即使有真的很棒的开源选择像[Ekiga][11] 和 [Jitsi][12]，而在最后Skype总是与大家同在 —— 切换到Skype是一件很幸运的事。

7）**Kdenlive**  — 我使用两个不同的视频编辑器，当我要处理一个需要大量编辑的视频剪辑项目的时候，[Kdenlive][13]是我用于图片合成和编辑大型的复杂的视频的工具。我已经成功地在 Kdenlive 里边做过6个素材轨道的编辑，但同样的负载量早已经让别的视频剪辑软件崩溃了。

8）**OpenShot**  — 大多数情况下，我会将[OpenShot][14]作为视频剪辑任务的首选神兵利器。快速的编辑和两个素材轨道工作区让你可以流畅而操作简单。我还发现它提供了很棒的无与伦比的特效。调制标题效果和超赞的的视频转场效果使OpenShot在我自己的视频项目上成为一款超棒的视频制作软件。

9）**SpiderOak** — 在使用了无数云备份服务这么多年后， [SpiderOak][15] 已经成为了我的至爱。易于安装和使用，我超喜欢它所提供的增量选项而且使用起来是如此的简单。只需一次设置，不再操心，之后SpiderOak将会挑起你的文件搬运大任。

10） **Dropbox**  — 许多年来，我已经与[Dropbox][16] 爱恨交织。尽管它的跨平台特性这意味着我可以从任何位置访问文件，我慢慢地发现我自己越来越少依赖这个基于云计算的备份解决方案。尽管如此，它允许我从任何 web 浏览器中访问文件，即使是从我不经常使用的计算机，这使得抛弃 Dropbox 更是难上加难。

11） **Writer** — 自从我第一次在Windows的OpenOffice里面使用过它之后，我一直都在使用[Writer][17]。今天，我使用LibreOffice 所带的Writer来满足我的需求，它可以做一切一个文字处理器可以做的事情。现在，公正地说，一些专有的办公套件可能会提供附加功能在Writer中是没有的，但是99%的人需要的功能在Writer这里都有。就我个人而言，我会永远是一个LibreOffice Writer粉。

12）**SimpleScreenRecorder**  — 多年来，我发现自己使用 [SimpleScreenRecorder][18]远超过其他同类软件，它能很好支持多监视器模式，再加上它甚至可以捕获基于 OpenGL 的应用程序的视频。易于使用和可靠的 SimpleScreenRecorder 让我的工作更加得心应手。我把它推荐给那些只是偶尔需要，懒得使用其它屏幕捕捉软件的同学们。

13）**SimpleScan** — 当我需要扫描文档的时候，我一点都不想将大把大把的时间花费在配置的臃肿的程序上。 [Simple Scan][19] 可以在这方面做得很好。智能的SANE扫描数据库，Simple Scan将与市面上的任何扫描仪或多功能一体打印机/扫描仪很好的进行协作。此外还有一点好处就是它会设置成的最佳分辨率，当然你还可以很方便手动调整任何你需要的设置。

14）**Baobab**（磁盘使用分析器） — 我不断听到关于如何硬盘价格已回落。这或许没错，但现实却是我却囊中羞涩。这意味着我需要充分利用我能利用的所有硬盘空间，为了实现这个目的，我使用 [Baobab][20] 来观察我在我的硬盘上的可用空间，而且还可以直观地看到到底是哪一个目录正在蚕食我宝贵的硬盘空间。

### 真正的具有生产力的软件 ###

谈到我所依赖的这些软件，我们真正关心的是他们能为我们完成什么样的任务，而不是它们所拥有的光辉头衔和自身的许可证。linux不需要软件的传奇时代早已过去。多数的计算机上的工作，除了有限的几个例外，大都可以在linux桌面上轻松地如我所说的那样完成。

很明显有一些对于你来说是必不可少的软件，但是也许不是我必须用的。你所倚重的软件是什么？您可在下方进行评论并与我们的读者进行分享那些优秀的软件。

------

via: http://www.datamation.com/applications/14-apps-to-boost-ubuntu-1.html

译者：[owen-carter](https://github.com/owen-carter) 校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.mozilla.org/en-US/firefox/new/
[2]:https://plex.tv/
[3]:http://www.zoneminder.com/
[4]:http://parcellite.sourceforge.net/
[5]:http://www.bittorrent.com/sync
[6]:https://help.gnome.org/users/gnome-system-monitor/3.12/
[7]:http://linux.about.com/od/commands/l/blcmdl1_top.htm
[8]:http://freedesktop.org/software/pulseaudio/pavucontrol/
[9]:http://en.wikipedia.org/wiki/Jupiter_Broadcasting
[10]:http://www.skype.com/en/download-skype/skype-for-linux/
[11]:http://ekiga.org/
[12]:https://jitsi.org/
[13]:http://www.kdenlive.org/
[14]:http://www.openshot.org/
[15]:https://spideroak.com/
[16]:https://www.dropbox.com/
[17]:http://www.libreoffice.org/discover/writer/
[18]:http://www.maartenbaert.be/simplescreenrecorder/
[19]:https://launchpad.net/simple-scan
[20]:http://www.marzocca.net/linux/baobab/baobab-getting-started.html