适合新用户的最佳的Linux发行版
================================================================================
这个争论无疑给许多Linux用户带来了麻烦。争论的焦点一般不是哪个发行版是真正最适合新用户的，而是哪个发行版受这些争论者的喜爱。如果我们撇开个人喜爱，我们会看到更清楚的一面。但即使这样，明确的结论也会受到被新用户的需求和期望的影响。考虑到这点，我决定采取一个不同的方法来找出“对新用户来说最好的发行版”。我评判最好发行版的标准不仅是易用，而且还要具有由日益增长的移动界面风格所带来的现代设计理念。

对于这次评测，我们对发行版有如下要求：

- 非常友好
- 包括，开箱即用，所有常用的应用程序
- 包括某个形式的应用程序商店
- 提供一个时尚的用户界面

让我解释一下各个标准

### 用户友好 ###

这是一个备受争议的话题。但事实的真相是——新用户必须能够选择某种风格的Linux并开始使用，只需要很少或不需要解释。如果必须很出太多解释，那么这个发行版便不是用户友好的。我不喜欢那些操作系统，但是几乎任何用户都可以在近乎零指导的情况下坐在Windows 7或OS X桌面前并开始使用它。这是每一个Linux桌面都应当争取去做的。

### 常用应用程序 ###

安装好系统后用户不应该再去安装必需的程序。那么什么是必需的呢？每年列表都会变短。目前，必备的程序列表如下：

- 网页浏览器：Chrome或者Firefox（对不起，根本不需要其他的浏览器）
- 电子邮件客户端：Thunderbird是显而易见的选择。
- Office办公套件：LibreOffice。就这样。
- 音乐播放器：播放本地文件以及连接到流媒体服务（比如Spotify）。

这是几乎所有用户需要的应用程序的简表。

### 应用程序商店 ###

由于移动设备需求的日益增长，用户已经习惯了应用商店。Linux有应用商店很长时间了（Synaptic是最古老的一个）。没有一个经深思熟虑做的应用商店，用户将会挣扎于在Linux环境中添加软件。毫无疑问，这一点至关重要。

### 时尚的界面 ###

我已经多次提到移动设备的美化。由于iOS和Android，用户越来越喜欢时尚的界面。Linux的桌面需要进行效仿并且用独特的、时尚的和易用的界面来吸引用户注意力。旧的风格在支持多触控的移动世界里不再有影响力。

## 排名前三的发行版 ##

以文中的标准，哪个发行版本满足了（或超过）我们的需求？首先，让我们来审查一下前三名的候选者。以下哪个满足了（或超过）标准。

### Ubuntu ###

[Ubuntu Linux][1]一直是用户友好型Linux的王者。开箱即用，寻找一个比它更迷人和易用的桌面（Unity）有点困难，甚至是对于那些对平台不熟悉的人也是这样的。它的桌面布局虽然与众不同，但却是合乎逻辑和很直观的。对于在桌面环境中添加一个最强大的搜索工具，在Linux中Ubuntu Unity应当获得最高成就。

### Linux Mint ###

如果认为有一个篡夺王位的发行版，那它就是[Linux Mint][2]。Linux Mint做了更多桌面的标准方法，但是图层华丽且多变使其从老旧的桌面隐喻中脱颖而出。Linux Mint基于Ubuntu，所以它得益于“老大哥”Ubuntu的稳定性和可靠性。

### Linux Deepin ###

用户友好型列表中的新成员是[Linux Deepin][3]。这个相对较新的受欢迎的发行版来自中国，而且应该正视它所带来的成就。为什么这样说？因为它使得Linux桌面转变为艺术美；同时也保持了高水平的用户友好性。我期待它的新版本发布将是个大事件。Linux Deepin使用的是GNOME 3桌面并将它重组得完全不同的，完全不可思议。

## 各发行版的比分 ##

在最佳的竞争者名单中，我们来比较一下每一个标准和等级。每个发行版的比分如下：对于每个标准，发行版排名从高到底（第一名得一分，最后一名得三分）。最后，总分决定谁是冠军——最低得分获胜。

### 用户友好性 ###

这可能是最严密的分类和最艰难的判别。每个发行版以不同的方法在用户友好性上都各有优势。最后，我的排名是：

1. Linux Mint

2. Ubuntu Linux

3. Linux Deepin

为什么是这样呢？Mint仅有微小的优势，因为它的开始按钮，任务栏和桌面图标仍然使用旧的桌面风格。胜者的优势很微小，Ubuntu和Linux Deepin要求的学习曲线近乎为零——甚至是对于小白们。

### 常用的应用程序 ###

这一类别难以判断的唯一原因是因为每个发行版都包括所有必要的应用程序。虽然Linux Deepin目前提供的是金山Office（一个最好的移动办公套件解决方案之一），它计划在2014发行版本中默认使用LibreOffice。

关于常用程序的我的一个问题是音乐播放器。虽然我在线听过很多音乐（使用Spotify客户端），但当我播放本地音乐时，总是使用Clementine。他们的默认播放器是：

- Ubuntu: Rhythmbox
- Linux Mint: Banshee
- Linux Deepen: DMusic.

三者中，Banshee（图1）提供了最多的功能，DMusic（图2）提供了最好的界面，（令人惊讶的）Rhythmbox（图3）目前最不稳定。

![](http://www.linux.com/images/stories/41373/banshee.png)

banshee

![](http://www.linux.com/images/stories/41373/dmusic.png)

dmusic

![](http://www.linux.com/images/stories/41373/rhythmbox.png)

rhythmbox

所以，他们得分多少？如下：

1. Linux Mint

2. Ubuntu Linux

3. Linux Deepin

### 应用程序商店 ###

如果不分析这部分将难进行。为什么呢？因为对于新用户应用商店可以轻易成就或是毁掉一个Linux发行版。总会有应用需求而且没有用户想经过命令行的重重考验。每个发行版都有自己的应用商店。

- Ubuntu: Ubuntu软件中心
- Mint: 软件管理器
- Linux Deepin: Deepin软件中心

应该说，这些工具中的每一个都是基于Ubuntu软件中心的。奇怪的是Ubuntu软件中心却正好排在最底。主要原因是Ubuntu软件中心太慢了——甚至在一个非常强大的机器上。

我将应用商店排名设为如下：

1. Linux Deepin

2. Linux Mint

3. Ubuntu Linux

每个应用商店有非常相似的功能。Linux Deepin获得第一的原因有两个：界面易于控制而且程序开启速度远远快于Ubuntu软件中心和Mint软件管理器。

### 时尚的界面 ###

在这部分Linux Mint远远落后。尽管它提供了一个华美的界面和有很浅的学习曲线，但相比之下它仍然是一个非常过时的桌面。甚至在强大的硬件（有强大的显卡）上，Linux Mint仍然很容易被看成是来自90年代末的桌面。为了评判结果，我们必须看看是Ubuntu Linux还是Linux Deepin能带我们走进未来。胜者是：

1. Linux Deepin

2. Ubuntu Linux

3. Linux Mint

Linux Deepin使用GNOME 3来制作一个使用起来很漂亮的GNOME和OSX的混合体，你会认为你在处理一件互动的艺术品。

## 总冠军 ##

虽然这是很初步的，对新用户来说最好的Linux发行版顺序应该是：

1. Linux Mint的总得分是7

2. Linux Deepin的总得分是8

3. Ubuntu Linux的总得分是9

如果你想知道关于这篇文章的作者观点，要知道：我已经使用Ubuntu Linux很多年了（而且仍在用）。我最近一直在说“如果有一个Linux发行版能动摇我使用Ubuntu的想法，它便是Linux Deepin。”虽然我很欣赏Linux Mint，但我只是用它来进行测试。当说到对新用户最好的Linux发行版，Linux Mint是显而易见的赢家。

这件事真正的真相是——你在使用这些桌面中任何一个都不会错。他们都各有所长。如果你追求真正的美丽，使用Linux Deepin吧。如果你想要漂亮外观与易用结合，那就使用Ubuntu Linux。如果你只想要简单而且并不在乎漂亮的外观，那就用Linux Mint。不管你选哪一个，这都是三赢的局面。

你怎么认为？你会如何排这三个桌面的名次？或者，你是否会写一个不同的Linux发行版，该发行版在外表上来说对新用户最好的？（还有原因是什么？）

--------------------------------------------------------------------------------

via: http://www.linux.com/news/software/applications/775873-the-best-linux-distribution-for-new-users/

译者：[linuhap](https://github.com/linuhap) 校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.ubuntu.com/
[2]:http://www.linuxmint.com/
[3]:http://www.linuxdeepin.com/index.en.html