4 lightweight image viewers for the Linux desktop
============================================================

### When you need more than a basic image viewer but less than a full image editor, check out these apps.


![4 lightweight image viewers for the Linux desktop](https://opensource.com/sites/default/files/styles/image-full-size/public/images/business/lightbulb-idea-think-yearbook-lead.png?itok=56ovNk8n "4 lightweight image viewers for the Linux desktop")
Image by : 

[Internet Archive Book Images][17]. Modified by Opensource.com. CC BY-SA 4.0

Like most people, you probably have more than a few photos and other images on your computer. And, like most people, you probably like to take a peek at those images and photos every so often.

Firing up an editor like [GIMP][18] or [Pinta][19] is overkill for simply viewing images.

More Linux resources

*   [What is Linux?][1]

*   [What are Linux containers?][2]

*   [Download Now: Linux commands cheat sheet][3]

*   [Advanced Linux commands cheat sheet][4]

*   [Our latest Linux articles][5]

On the other hand, the basic image viewer included with most Linux desktop environments might not be enough for your needs. If you want something with a few more features, but still want it to be lightweight, then take a closer look at these four image viewers for the Linux desktop, plus a handful of bonus options if they don't meet your needs.

### Feh

[Feh][20] is an old favorite from the days when I computed on older, slower hardware. It's simple, unadorned, and does what it's designed to do very well.

You drive Feh from the command line: just point it at an image or a folder containing images and away you go. Feh loads quickly, and you can scroll through a set of images with a mouse click or by using the left and right arrow keys on your keyboard. What could be simpler?

Feh might be light, but it offers some options. You can, for example, control whether Feh's window has a border, set the minimum and maximum sizes of the images you want to view, and tell Feh at which image in a folder you want to start viewing.

### [feh.png][6]

![Feh](https://opensource.com/sites/default/files/u128651/feh.png "Feh")

Feh in action

### Ristretto

If you've used Xfce as a desktop environment, you'll be familiar with [Ristretto][21]. It's small, simple, and very useful.

How simple? You open a folder containing images, click on one of the thumbnails on the left, and move through the images by clicking the navigation keys at the top of the window. Ristretto even has a slideshow feature.

Ristretto can do a bit more, too. You can use it to save a copy of an image you're viewing, set that image as your desktop wallpaper, and even open it in another application, for example, if you need to touch it up.

### [ristretto.png][7]

![Ristretto](https://opensource.com/sites/default/files/u128651/ristretto.png "Ristretto")

Viewing photos in Ristretto

### Mirage

On the surface, [Mirage][22] is kind of plain and nondescript. It does the same things just about every decent image viewer does: opens image files, scales them to the width of the window, and lets you scroll through a collection of images using your keyboard. It even runs slideshows.

Still, Mirage will surprise anyone who needs a little more from their image viewer. In addition to its core features, Mirage lets you resize and crop images, take screenshots, rename an image file, and even generate 150-pixel-wide thumbnails of the images in a folder.

If that wasn't enough, Mirage can display [SVG files][23]. You can even drive it [from the command line][24].

### [mirage.png][8]

![Mirage](https://opensource.com/sites/default/files/u128651/mirage.png "Mirage")

Taking Mirage for a spin

### Nomacs

[Nomacs][25] is easily the heaviest of the image viewers described in this article. Its perceived bulk belies Nomacs' speed. It's quick and easy to use.

Nomacs does more than display images. You can also view and edit an image's [metadata][26], add notes to an image, and do some basic editing—including cropping, resizing, and converting the image to grayscale. Nomacs can even take screenshots.

One interesting feature is that you can run two instances of the application on your desktop and synchronize an image across those instances. The [Nomacs documentation][27]recommends this when you need to compare two images. You can even synchronize an image across a local area network. I haven't tried synchronizing across a network, but please share your experiences if you have.

### [nomacs.png][9]

![Nomacs](https://opensource.com/sites/default/files/u128651/nomacs.png "Nomacs")

A photo and its metadata in Nomacs

### A few other viewers worth looking at

If these four image viewers don't suit your needs, here are some others that might interest you.

**[Viewnior][11]** bills itself as a "fast and simple image viewer for GNU/Linux," and it fits that bill nicely. Its interface is clean and uncluttered, and Viewnior can even do some basic image manipulation.

If the command line is more your thing, then **display** might be the viewer for you. Both the **[ImageMagick][12]** and **[GraphicsMagick][13]** image manipulation packages have an application named display, and both versions have basic and advanced options for viewing images.

**[Geeqie][14]** is one of the lighter and faster image viewers out there. Don't let its simplicity fool you, though. It packs features, like metadata editing and viewing camera RAW image formats, that other viewers lack.

**[Shotwell][15]** is the photo manager for the GNOME desktop. While it does more than just view images, Shotwell is quite speedy and does a great job of displaying photos and other graphics.

 _Do you have a favorite lightweight image viewer for the Linux desktop? Feel free to share your preferences by leaving a comment._

--------------------------------------------------------------------------------

作者简介：

cott Nesbitt - I'm a long-time user of free/open source software, and write various things for both fun and profit. I don't take myself too seriously. You can find me at these fine establishments on the web: Twitter, Mastodon, GitHub.

via: https://opensource.com/article/17/7/4-lightweight-image-viewers-linux-desktop

作者：[  Scott Nesbitt][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/scottnesbitt
[1]:https://opensource.com/resources/what-is-linux?intcmp=70160000000h1jYAAQ&utm_source=intcallout&utm_campaign=linuxcontent
[2]:https://opensource.com/resources/what-are-linux-containers?intcmp=70160000000h1jYAAQ&utm_source=intcallout&utm_campaign=linuxcontent
[3]:https://developers.redhat.com/promotions/linux-cheatsheet/?intcmp=70160000000h1jYAAQ&utm_source=intcallout&utm_campaign=linuxcontent
[4]:https://developers.redhat.com/cheat-sheet/advanced-linux-commands-cheatsheet?intcmp=70160000000h1jYAAQ&utm_source=intcallout&utm_campaign=linuxcontent
[5]:https://opensource.com/tags/linux?intcmp=70160000000h1jYAAQ&utm_source=intcallout&utm_campaign=linuxcontent
[6]:https://opensource.com/file/361216
[7]:https://opensource.com/file/361231
[8]:https://opensource.com/file/361221
[9]:https://opensource.com/file/361226
[10]:https://opensource.com/article/17/7/4-lightweight-image-viewers-linux-desktop?rate=UcKbaJQJAbLScWVu8qm9bqii7JMsIswjfcBHt3aRnEU
[11]:http://siyanpanayotov.com/project/viewnior/
[12]:https://www.imagemagick.org/script/display.php
[13]:http://www.graphicsmagick.org/display.html
[14]:http://geeqie.org/
[15]:https://wiki.gnome.org/Apps/Shotwell
[16]:https://opensource.com/user/14925/feed
[17]:https://www.flickr.com/photos/internetarchivebookimages/14758810172/in/photolist-oubL5m-ocu2ck-odJwF4-oeq1na-odgZbe-odcugD-w7KHtd-owgcWd-oucGPe-oud585-rgBDNf-obLoQH-oePNvs-osVgEq-othPLM-obHcKo-wQR3KN-oumGqG-odnCyR-owgLg3-x2Zeyq-hMMxbq-oeRzu1-oeY49i-odumMM-xH4oJo-odrT31-oduJr8-odX8B3-obKG8S-of1hTN-ovhHWY-ow7Scj-ovfm7B-ouu1Hj-ods7Sg-qwgw5G-oeYz5D-oeXqFZ-orx8d5-hKPN4Q-ouNKch-our8E1-odvGSH-oweGTn-ouJNQQ-ormX8L-od9XZ1-roZJPJ-ot7Wf4
[18]:https://www.gimp.org/
[19]:https://pinta-project.com/pintaproject/pinta/
[20]:https://feh.finalrewind.org/
[21]:https://docs.xfce.org/apps/ristretto/start
[22]:http://mirageiv.sourceforge.net/
[23]:https://en.wikipedia.org/wiki/Scalable_Vector_Graphics
[24]:http://mirageiv.sourceforge.net/docs-advanced.html#cli
[25]:http://nomacs.org/
[26]:https://iptc.org/standards/photo-metadata/photo-metadata/
[27]:http://nomacs.org/synchronization/
[28]:https://opensource.com/users/scottnesbitt
[29]:https://opensource.com/users/scottnesbitt
[30]:https://opensource.com/article/17/7/4-lightweight-image-viewers-linux-desktop#comments
