Why you should be a sysadmin
============================================================

### Network and system administration jobs are well-paying and plentiful.


![Why you should be a sysadmin](https://opensource.com/sites/default/files/styles/image-full-size/public/images/life/sysadmin_uncleserver.jpeg?itok=Tc9LAT7N "Why you should be a sysadmin")
Image credits : 

Jason Baker, CC BY-SA 4.0

We are at war with entropy, and Uncle Server wants YOU to be a system administrator.

Chances are good that you are already an administrator for some systems you own, and you do it for free because that's just how it goes these days. But there are employers willing and eager to pay good money for someone to help administer their systems. We're currently near zero unemployment in system and network administration, and the Bureau of Labor Statistics projects continued [9% growth][3] in the field through 2024.

What about automation, you ask. Perhaps you've heard sysadmins say how they intend to automate away their entire job, or how they automated their predecessor's job in a single shell script. How many have you heard of that succeeding? When the job is automation, there is always more to automate.

If you attend or watch videos of sysadmin conferences, you'll see a field that needs new blood. Not only is there a distinct lack of younger people, but also fairly extreme gender and racial imbalances. While those are topics for a different article, diversity is well proven to improve resilience, problem-solving, innovation, and decision-making—things of great interest to sysadmins.

### Do I want to be a sysadmin?

So you're needed, but do you need system administration? Assuming you live in a first world country, US$ 70,000 annual income seems to be a threshold for happiness—or at least shedding most money-related stress. The median for system and network administrators is US$ 80,000, so hitting that threshold is quite achievable, though obviously there are plenty of people making less (and more).

Is system administration something you've done for free? Most of us manage at least a few devices, but that doesn't mean you enjoy it. If you've added some extra systems acting as servers on your home network, you're a candidate. Did you justify adding a Minecraft server for your kid mostly so that you could have fun setting up a Raspberry Pi server? Maybe it's time to consider getting paid to do that sort of work.

System administration as a generalist job offers a particular kind of flexibility. System administrators are needed across a wide variety of industries and company sizes. Most urban areas have a need for some on-site workers, and remote work is also a strong possibility.

Anyone can work with open source software for free, but as a sysadmin you can also get paid to do it. System administrators often contribute to open source projects, support open source vendors, and work with a wide variety of interesting and powerful open source software as part of their regular job.

Last, what about the community? I can say from years of experience that it is hard to find a more welcoming, encouraging, friendly, and helpful community. Sure, there is the stereotype of the grumpy sysadmin, but I feel that's mostly an outdated joke now. Most sysadmins today respond positively to all forms of constructive feedback, particularly when it comes to welcoming newcomers. We're almost all keenly aware of our diversity and demographic problems and eager to solve them. We are a community of deep and diverse interests. Ask a sysadmin what they do outside of work and you are unlikely to be bored.

### So where do I sign up?

If you're convinced, first the good news. More than many STEM careers, it's possible to transition into system administration without a directly relevant four-year degree. In fact, there are relatively few four-year degrees in system administration in the entire world, which helps set expectations. As with every white-collar job these days, a degree does help, and the more relevant the better. Unlike many other STEM careers, there is a natural entry-level position: the helpdesk.

The bad news for system administration hopefuls is true for many STEM (and even non-STEM) fields: Employers are looking for people with years of experience and advanced degrees, even for explicitly entry-level positions. Employers are underpaying. Employers aren't investing in training. The consolation is that these problems are so prevalent in the job market that you'll be facing them in any job.

System administration can be a starting point for other IT fields, such as network administration, database administration, and site reliability engineering. And just a bit further away are software engineering, quality assurance, and IT management.

Details of the sysadmin job, both the stereotypes and obvious aspects, as well as some less obvious things to consider, are topics for future Opensource.com articles. We'll also cover some important ways in which the field is likely to change and offer ways to evaluate and compare sysadmin positions and ask powerful questions during interviews.

If you're interested in joining the field, consider joining the [League of Professional System Administrators][4] (LOPSA), the professional organization on which I serve as a board member. Membership is affordable (and may be covered by your employer) and free for students. Being a LOPSA member is a fantastic way to meet sysadmins and discuss the career with people at various levels of experience and in a variety of industries and work environments.

--------------------------------------------------------------------------------

作者简介：

Paul English - Paul English is CEO of PreOS Security Inc. Paul is a Board member for the League of Professional System Administrator, a non-profit professional association for hte advancement of the practice of system administration from 2015 through 2017. Paul has Bachelors in Computer Science from Worcester Polytechnic Institute obtained in 1998. And Paul has been a UNIX & Linux system administrator and wearer of many other IT hats since 1996. 

-------------------


via: https://opensource.com/article/17/7/why-become-sysadmin

作者：[ Paul English ][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/penglish
[1]:https://opensource.com/article/17/7/why-become-sysadmin?rate=_WhJK6oklTBkiCcSP0hmPIxAiSrmlSbsDqrz3RTBx-4
[2]:https://opensource.com/user/157701/feed
[3]:https://www.bls.gov/ooh/Computer-and-Information-Technology/Network-and-computer-systems-administrators.htm#tab-1
[4]:https://lopsa.org/
[5]:https://opensource.com/users/penglish
[6]:https://opensource.com/users/penglish
[7]:https://opensource.com/article/17/7/why-become-sysadmin#comments
